% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/fun_LifeTable.R
\name{LifeTable.core}
\alias{LifeTable.core}
\title{LifeTable.core}
\usage{
LifeTable.core(x, Dx, Ex, mx, qx, lx, dx, sex, lx0)
}
\arguments{
\item{x}{vector of age at the beginning of the age classes}

\item{Dx}{object containing death counts. An element of the \code{Dx} object, 
represents the number of deaths during the year to persons aged x to x+n.}

\item{Ex}{exposure in the period. \code{Ex} can be approximated by the 
mid-year population aged x to x+n}

\item{mx}{age-specific death rates}

\item{qx}{probability of dying between age x and x+n.}

\item{lx}{probability to survive up until age x}

\item{dx}{life table death counts at age x}

\item{sex}{sex of the population considered here. Default: \code{NULL}. 
This argument affects the first two values in the life table ax column. 
If sex is specified the values are computed based on Coale-Demeny method 
and are slightly different for males than for females. 
Options: \code{NULL, males, females, total}.}

\item{lx0}{radix. Default: 100 000}
}
\description{
LifeTable.core
}
\keyword{internal}
